{namespace n=GeorgRinger\News\ViewHelpers}
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="General.html"/>

<!--
	=====================
		News/Detail.html
-->
<f:section name="content">
    <v:variable.set name="presse" value="0"></v:variable.set>
    <v:variable.set name="amp" value="0"></v:variable.set>
    <f:if condition="{pageData.uid}==4504">
        <f:then>
            <v:page.header.canonical pageUid="4504" queryStringMethod ="GET"></v:page.header.canonical>
        </f:then>
        <f:else>
            <f:for each="{newsItem.categories}" as="category">
                <f:if condition="{category.uid} == '147'">
                    <f:then>
                        <v:variable.set name="presse" value="1"></v:variable.set>
                    </f:then>
                </f:if>
            </f:for>
            <f:if condition="{pageData.uid}==4203">
                <f:then>
                    <v:variable.set name="amp" value="1"></v:variable.set>
                </f:then>
                <f:else>
                    <f:if condition="{pageData.uid}==4204">
                        <f:then>
                            <v:variable.set name="amp" value="1"></v:variable.set>
                        </f:then>
                        <f:else>
                            <f:if condition="{pageData.uid}==4203">
                                <v:variable.set name="amp" value="1"></v:variable.set>
                            </f:if>
                        </f:else>
                    </f:if>
                </f:else>
            </f:if>
            <f:if condition="{presse} == '1'">
                <f:then>
                    <v:page.header.canonical pageUid="655" queryStringMethod ="GET"></v:page.header.canonical>
                </f:then>
                <f:else>
                    <v:page.header.canonical pageUid="654" queryStringMethod ="GET"></v:page.header.canonical>
                </f:else>
            </f:if>
        </f:else>
    </f:if>

    <f:if condition="{newsItem}">
        <f:then>
            <n:format.nothing>
				<n:excludeDisplayedNews newsItem="{newsItem}" />
				<f:if condition="{newsItem.alternativeTitle}">
					<f:then>
						<n:titleTag>
							<f:format.htmlentitiesDecode>{newsItem.alternativeTitle}</f:format.htmlentitiesDecode>
						</n:titleTag>
					</f:then>
					<f:else>
						<n:titleTag>
							<f:format.htmlentitiesDecode>{newsItem.title}</f:format.htmlentitiesDecode>
						</n:titleTag>
					</f:else>
				</f:if>
                <f:render partial="Detail/Opengraph" section="opengraph" arguments="{newsItem: newsItem, settings:settings}" />
            </n:format.nothing>
                    <f:render partial="Detail/SchemaOrg" section="pressSchemaOrg" arguments="{newsItem: newsItem, presse: presse, amp: amp}" />
            <header class="c-article__header o-section__header">
                <h1>
                    <f:format.raw>{newsItem.title}</f:format.raw>
                </h1>
            </header>
            <div class="c-page-body__column c-page-body__column--main">
                <p class="c-article__meta">
                    <f:if condition="{newsItem.frsCountry}">{newsItem.frsCountry}, </f:if><f:format.date format="{f:translate(key:'dateFormat')}">{newsItem.datetime}</f:format.date><f:if condition="{newsItem.frsPressNumber}">, {newsItem.frsPressNumber}</f:if>
                </p>

                <f:if condition="{newsItem.teaser}">
                    <div class="o-textblock">
                        <p><strong>
                            <f:format.htmlspecialchars>{newsItem.teaser}</f:format.htmlspecialchars>
                        </strong></p>
                    </div>
                </f:if>

                <div class="o-media o-media--left   js-lightbox-gallery">
                    <f:render partial="Detail/FalMediaContainer"
                              section="falmediacontainer"
                              arguments="{media: newsItem.falMedia, settings:settings}"/>

                    <f:if condition="{newsItem.frsCalltoaction}">
                        <f:cObject typoscriptObjectPath="lib.calltoaction.contentElementRendering" data="{newsItem.frsCalltoaction}">
                            {newsItem.frsCalltoaction}
                        </f:cObject>
                    </f:if>

                    <div class="o-media__body">
                        <f:format.html>{v:format.trim(content:'{newsItem.bodytext}')}</f:format.html>
                    </div>
                </div>
                <f:if condition="{newsItem.contentElements}">
                    <!-- content elements -->
                    <f:cObject typoscriptObjectPath="lib.tx_news.contentElementRendering">
                        {newsItem.contentElementIdList}
                    </f:cObject>
                </f:if>
                <f:if condition="{newsItem.frsPressNumber} && {newsItem.hidePressLotto}  != '1'">
                    <div class="c-article__lotto">
                        <f:if condition="{amp}">
                            <f:then>
                                <img src="{f:uri.image(src: '/typo3conf/ext/drk_template/Resources/Public/Images/jpg/Lotto_Deutschland_DRK.jpg', treatIdAsReference: 1, maxWidth: 120, width: 120)} "
                                     width="120"
                                     height="50"
                                     alt="{f:translate(key: 'press.lotto', extensionName: 'drk_template')}"
                                     class="lazyload"
                                />
                            </f:then>
                            <f:else>
                                <img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAB4AAAAABCAQAAACV4Hu+AAAAGklEQVR42u3BAQEAAAABIP6fNkTVAAAAwIEBHgIAAi1TyoIAAAAASUVORK5CYII="
                                     data-src="{f:uri.image(src: '/typo3conf/ext/drk_template/Resources/Public/Images/jpg/Lotto_Deutschland_DRK.jpg', treatIdAsReference: 1, maxWidth: 120, width: 120)}"
                                     width="120"
                                     height="50"
                                     alt="{f:translate(key: 'press.lotto', extensionName: 'drk_template')}"
                                     class="lazyload"
                                />
                                <noscript>
                                    <img src="{f:uri.image(src: '/typo3conf/ext/drk_template/Resources/Public/Images/jpg/Lotto_Deutschland_DRK.jpg', treatIdAsReference: 1, maxWidth: 240, width: 240)}"
                                            width="120"
                                            height="50"
                                            alt="{f:translate(key: 'press.lotto', extensionName: 'drk_template')}"
                                            style="width: 120px; height: 50px;"
                                    />
                                </noscript>
                            </f:else>
                        </f:if>
                    </div>
                </f:if>
                <f:render partial="Detail/Print" section="print" arguments="{_all}" />
            </div>

            <aside class="c-page-body__column c-page-body__column--aside">

                <f:if condition="{settings.detail.showSocialShareButtons}">
                    <f:render partial="Detail/SocialMedia" section="content" arguments="{_all}"/>
                </f:if>

                <!-- related things -->
                <div class="frame o-cms-content">

                    <f:if condition="{newsItem.allRelatedSorted}">
                        <f:render partial="Detail/NewsRelated" arguments="{_all}" section="content"/>
                    </f:if>


                    <f:if condition="{newsItem.relatedFiles}">
                        <!-- related files -->
                        <div class="news-related news-related-files">
                            <h4>
                                <f:translate key="related-files" />
                            </h4>
                            <ul>
                                <f:for each="{newsItem.relatedFiles}" as="relatedFile">
                                    <li>
									<span class="news-related-files-link">
										<a href="{relatedFile.originalResource.publicUrl -> f:format.htmlspecialchars()}" target="_blank">
											{f:if(condition:relatedFile.originalResource.title, then:relatedFile.originalResource.title, else:relatedFile.originalResource.name)}
										</a>
									</span>
                                        <span class="news-related-files-size">
										{relatedFile.originalResource.size -> f:format.bytes()}
									</span>
                                    </li>
                                </f:for>
                            </ul>
                        </div>
                    </f:if>


                    <f:if condition="{newsItem.relatedLinks}">
                        <!-- Related links -->
                        <div class="news-related news-related-links">
                            <h4>
                                <f:translate key="related-links" />
                            </h4>
                            <ul>
                                <f:for each="{newsItem.relatedLinks}" as="relatedLink">
                                    <li>
                                        <f:link.page pageUid="{relatedLink.uri}" title="{relatedLink.title}" target="{n:targetLink(link:relatedLink.uri)}">{f:if(condition: relatedLink.title, then: relatedLink.title, else: relatedLink.uri)}</f:link.page>
                                        <f:if condition="{relatedLink.description}"><span>{relatedLink.description}</span></f:if>
                                    </li>
                                </f:for>
                            </ul>
                        </div>
                    </f:if>

                    <f:if condition="{newsItem.relatedLinks}">
                        <!-- Related links -->
                        <div class="news-related news-related-links">
                            <h4>
                                <f:translate key="related-links"/>
                            </h4>
                            <ul>
                                <f:for each="{newsItem.relatedLinks}" as="relatedLink">
                                    <li>
                                        <f:link.page pageUid="{relatedLink.uri}" title="{relatedLink.title}"
                                                     target="{n:targetLink(link:relatedLink.uri)}">{f:if(condition:
                                            relatedLink.title, then: relatedLink.title, else: relatedLink.uri)}
                                        </f:link.page>
                                        <f:if condition="{relatedLink.description}">
                                            <span>{relatedLink.description}</span></f:if>
                                    </li>
                                </f:for>
                            </ul>
                        </div>
                    </f:if>
                </div>

            </aside>

            <div class="o-section__footer">
                <f:if condition="{settings.backPid}">
                    <!-- Link Back -->
                    <div class="news-backlink-wrap">
                        <f:link.page pageUid="{settings.backPid}">
                            <f:translate key="back-link"/>
                        </f:link.page>
                    </div>
                </f:if>
            </div>

        </f:then>
        <f:else>

        </f:else>
    </f:if>
</f:section>

</html>
